# Introduction

Mirae WAVE is a light-weight, easy-to-use 3D visualization tool with rich professional-level feature sets for data analysis, that can handle large grid datasets used by meteorologists, atmospheric scientists and oceanologists. 

![alt](img/1-1-intro-animated.gif)


With Mirae WAVE, different types of meteorological data can be visualized together using multiple layers, projected onto the 3D globe model using either spherical or orthogonal coordinate systems. You can create horizontal or cross-sectional charts with iso-value contour lines, animate wind vectors and streamlines, and even show the data with 3D iso-surfaces or volumetric rendering. Intuitive and easy-to-use UI controls are provided for camera control such as zoom/pan/rotation, turning on/off individual layers, and manual/automatic control of animation over time. Furthermore, users can customize various characteristics of the layers, charts and displays, so that they can satisfy their own requirements.

Anyone can download and install Mirae WAVE without any cost, and try it free for 14 days of evaluation period. Refer to the '[Installation](2-1-installation)' section for more details.

### Key Features

* Supports for GRIB, GRIB2 and NetCDF data formats
* Overlapped visualization with multiple layers
* Various types of charts and their overlays
* Automatic data scanning along time or height axes
* Coordinate conversion between 3D globe and 2D map
* Various customization of color maps and layer properties
* Capturing into images and videos

### Target Users

Mirae WAVE was originally developed for the meteorologists in Korea Meteorological Administration (KMA), in order to help them to analyze NWP model data and to make better weather forecast. A variant of Mirae WAVE, named 'GloView', has been used for analyses on daily basis in the numerical forecast department of KMA for many years.

Mirae WAVE was mainly developed for the researchers and specialists, who works for meteorological administrations, weather forecasting TV stations and other companies in weather forecast industry, and academic research organizations. It provides high-quality graphics and imageries comparable to the results of expensive tools used in some weather forecasting companies and TV stations, at a very low cost. Its easy-to-use interface and simple workflow also allow users to use Mirae WAVE for educational purposes.

### System Requirements

Mirae WAVE is light-weight and runs very fast on any decent Windows machines with 3D graphic cards, including modern Windows laptops.


<br><br>

| Previous Page | [Home (Table of Contents)](home) | [Next Page](2-1-installation) |
| :------- | :----------------------: | ---: |
