# UI components & terminologies

When you first start Mirae WAVE, this environment consists of the following elements (by default):

<p align="center">
![](img/3-1-ui-components.png)

##### 1. The **Menu Bar** contains menus for controlling and rendering 3-D images.

<p align="center">
![](img/3-1-1-ui-menu-bar.png)

*  Commands can be represented as buttons on the *Quick Access Toolbar*. You can customize the toolbar to include any command that you use frequently by right-click on **Menu Bar** area.

*  The *Title Bar* displays the name of the active layer.

*  When you click the *Mirae WAVE Button*, commands related to opening files (or directories), saving images, options for program configuration, and license registration are displayed.

*  By default, *Menu Categories* contains *Home*, *Layer*, and *Window* categories, with *Home* is active. When you later add another layer, then its corresponding category, such as *Horizontal Plane*, is displayed. You can click a certain category to display its corresponding *Ribbon*. 

*  The *Ribbon* contains panels for controlling display options and working with the program. Each *Panel* contains buttons which are functional organized. 

*  The *Tab Menu Bar* contain buttons for activating cursor-picking, hiding/showing *Ribbon* menu, on-line user manual, and program information.

##### 2.  The **Variables Pane** displays list of variables after you import your numerical data.


##### 3.  In **Area Pane**, you can choose and control the region (map area) of the gridded layer.


##### 4.  In **Rendering Pane**, you can display meteorological data in single or multiple layers.


##### 5.  The **Layers Pane** displays and manages the layer list. 

By default, it displays and activates *Background Map* and *Borderlines Map* layers. 


##### 6.  The **Actions Pane** displays the history of actions related to the current selected layer.



<br><br>

| [Previous Page](2-3-license) | [Home (Table of Contents)](home) | [Next Page](3-2-open-data) |
| :------- | :----------------------: | ---: |
