# Viewing data with layers (and how to use Layers Pane)

### 1. Adding layers and viewing data

##### Adding layers
After opening data files, you can add layers to the 3D-image in the **Rendering Pane** as follows:

1.  In **Menu Bar**, choose *Layer* menu category.
1.  In *Add Layer* panel, click the corresponding button with the layer that you want to add.
<p align="center">
![](img/3-3-1-add-layer.png)
1.  In *Edit [Layer Name] Layer* dialog box, such as *Edit Horizontal Plane Layer*, select the variable you want to show in *Select Variable* panel, set the vertical altitude and map area of the layer in *Area and level to Display* panel and other options, and click *OK* button.

<p align="center">
    ![](img/3-3-1-edit-layer.png)

##### Viewing Data

After adding a layer, such as *Horizontal Plane*, **Rendering Pane** displays data of the selected variable on the layer, **Layers Pane** displays the layer name, and **Actions Pane** displays the *Add layer* action entry.

<p align="center">
![](img/3-3-1-add-layer-result.png)

In addition, the program generates one more menu category corresponding to the added layer in **Menu Bar**, such as *Horizontal Plane* menu category. 

<p align="center">
![](img/3-3-1-add-category.png)

This new menu category contains two panels. 

*  *Grid Options* panel contains buttons used to set the properties of the layer grid data to extract from the numerical model data.
*  *Style* panel contains buttons used to set the display properties of the added layer.

Note that the name of the added menu category and its ribbon are displayed differently with different added or selected layer (You can select a layer to display on **Rendering Pane** by clicking on that layer in the list in **Layers Pane**). 


### 2. Changing variable on the current layer
To display data of another variable on the current layer, you can select that variable in the list (on the **Variables Pane**) and:

*  double-click on that variable; or 
*  click the first button on the control bar, then select *Show on Current Layer*; or
*  right-click and select *Show on Current Layer*.


### 3. Layers Management

**Layers Pane** displays the list of layers according to the adding order and shows layer information such as layer properties, style and layer grid. 

<p align="center">
![](img/3-3-3-layers-pane.png)

Each layer item in the list consists of *Show/Hide* checkbox, *Layer Name*, *Lock Time* and *Close* buttons.

The *Layer Name* is created in the following format: %VARIABLE NAME% : %SECTION TYPE% - %VERTICAL SYSTEM%


##### Showing/Hiding layers

*  You can show or hide a layer on the **Rendering Pane** by checking or unchecking the *Show/Hide* checkbox.

*  You can show all layers or hide all layers in the list by clicking *Show All* or *Hide All* button on the control bar.

<p align="center">
![](img/3-3-3-show-hide-all.png)

The alternative way is to choose *Layer* menu category in **Menu Bar**. In *View* panel, click the *Show* button.

##### Closing layers

*  You can close each layer in the list by click the *Close* button.

*  You can close all layers by clicking *Close All* button on the control bar.

<p align="center">
![](img/3-3-3-close-all.png)

The alternative way is to choose *Layer* menu category in **Menu Bar**. In *View* panel, click the *Close* button.


##### Arranging layers

You can click the *Automatic Z-Order* to set the rendering order of layers added to the **Rendering Pane** based on the distance between the viewpoint and the center position of the layer map area. 

<p align="center">
![](img/3-3-3-arrange-layer.png)

The *Background Map* and *Borderlines Map* layers are always rendered first.

When multiple layers are overlapped, the layer with the larger distance from the viewpoint lays under the layer that is closer to the viewpoint. The rendering order determines the transparency (alpha channel) effect.

The alternative way is to choose *Layer* menu category in **Menu Bar**. In *Layer Profile* panel, click the *Automatic Z-Order* button.

##### Saving/Opening layer profile

*  You can save the layer list in the current 3-D image in **Rendering Pane** into a layer profile file by clicking *Save* button on the control bar.

<p align="center">
![](img/3-3-3-save.png)

   The alternative way is to choose *Layer* menu category in **Menu Bar**. In *Layer Profile* panel, click the *Save* button.

*  You can load the saved layer list from the layer profile file by clicking *Open* button on the control bar.
      
<p align="center">
![](img/3-3-3-open.png)

The alternative way is to choose *Layer* menu category in **Menu Bar**. In *Layer Profile* panel, click the *Open* button.

For further details, refer to _[How to speed up repeated tasks](5-3-speed-up-repetitions)_ section.


##### Right-click

You can control and edit a layer by selecting that layer and right-click.

<p align="center">
![](img/3-3-3-layers-right-click.png)


<br><br>

| [Previous Page](3-2-open-data) | [Home (Table of Contents)](home) | [Next Page](3-4-control-perspective) |
| :------- | :----------------------: | ---: |
