# Viewing horizontal wind flow

> NOTE: This guide can also be applied to the visualization of any vector field on horizontal planes.

![](img/4-3-horizontal-vector-field.png)

> NOTE:  
> In order to visualize wind vectors, you need both u and v components of wind in your dataset.  
> For the terms & names of UI components, refer to _[UI Components](3-1-ui-components)_.

##### 1. Open data file.

Open your data file(s), using _Open Data_ buttons on the _Home_ menu category of _Menu Bar_.

##### 2. Load the wind vector data and show it on a layer.

In order to visualize the distribution of the variable on a layer, you can either

* click the _Add Vector Plane_ button on _Layer_ menu category, select options, and then click "OK", or 
* right-click one of u/v components of wind on the _Variables Pane_, select _'Add Vector Plane'_. 

_Rendering Pane_ will immediately display the vector field of wind, and a new layer will be added to the _Layers Pane_. By default, wind flow will be shown using wind vectors (arrows) at each grid points.

##### 3. Change the visualization style - wind vector vs. wind barbs vs. streamlines (optional).

On _Vector Plane_ menu category of _Menu Bar_, you can select one of the following visualization styles:

* Wind vector : show distribution using arrows with variable length & color
* Wind barbs : show distribution using wind barbs
* Streamlines : show distribution using streamlines (optionally with animation)

Each menu button has drop-down submenu, where you can set various options for each visualization style. For example, in streamline style you can choose _'glow'_ effect and start animation, so that wind flow is visualized using nice and intuitive animation with colored dots that are moving at different velocities.

##### 4. Change the settings for color mapping (optional).

Double click the vertical _Color Bar_ on the right-hand side of _Rendering Pane_. A popup dialog named _'Setup Colormap and Limit Range'_ will show up, where you can change various options regarding the color mapping.

##### 5. Explore wind flow at different altitudes (if any).

If your dataset includes wind flow datasets at multiple altitude, you can select a particular height level, or easily change to the next/previous height level.

On _Horizontal Plane_ menu category of _Menu Bar_, you will find _Vertical Level_ drop-down control, where you can select height level among all the levels available in your dataset. You can also click _Move Up / Move Down_ button in order to increase / decrease the selected level.

##### 6. Control the size and location of the plane (optional).

You can control the size and location of the plane by using _Rendering Pane_ only. To do this, you do :
  1. switch from _Globe_ mode to _Map_ mode,
  2. double-click one of the corners of the plane, to reveal the control handles,
  3. drag the control handles to change the size and/or height of the plane. 


<br><br>

| [Previous Page](4-2-vertical-scalar-field) | [Home (Table of Contents)](home) | [Next Page](4-4-vertical-vector-field) |
| :------- | :----------------------: | ---: |
