# How to speed up repeated tasks

Mirae WAVE allows you speed up your work by saving the list of meteorological data layers and the current 3-D image properties in **Rendering Pane** into a layer profile. You can later open and load the saved layer profile onto your new 3-D images. You can also compare different data distributions of different variables by replacing these variables on the same configured layer.

### Saving layer profile

1.  In the **Menu Bar**, choose *Layer* menu category.  In the *Layer Profile* panel, click the *Save* button. 

      ![](img/5-3-save.png)
    
    (The alternative way is to click the *Save* button on the control bar of the **Layer Pane**).

1.  In the *Save Layer Profile* dialog box, enter the name of the layer profile, then select the layer and 3-D image's properties that you want to save.

<p align="center">
      ![](img/5-3-save-dialog.png)

1.  You can either click the *Save* button to save the layer profile or click the *Export to* button to save the selected layer profile to a specified file (*.gvl.xml).


### Opening layer profile

1.  In the **Menu Bar**, choose *Layer* menu category.  In the *Layer Profile* panel, click the *Open* button. 

      ![](img/5-3-open.png)
    
    (The alternative way is to click the *Open* button on the control bar of the **Layer Pane**).

1.  In the *Load Layer Profile* dialog box, select the saved layer profile or click *Import from file* button to import from a file, then click the *Load* button. 

<p align="center">
      ![](img/5-3-open-dialog.png)

Note that you need to open the corresponding dataset to load the layer profile. You can check the list of required datasets in the *Required Dataset List* panel.

### Replacing variables with the current layer configuration

After loading the layer profile, you can compare the data distribution of the current selected variable with data distribution of other variables on the same configured layer. In order to display data of another variable, you can select that variable in the list (on the **Variables Pane**) and:

*  double-click on that variable; or 
*  click the first button on the control bar, then select *Show on Current Layer*; or
*  right-click and select *Show on Current Layer*.

The data distribution of the new selected variable will be displayed on the same layer configuration in the **Rendering Pane**.

<br><br>

| [Previous Page](5-2-multiple-windows) | [Home (Table of Contents)](home) | [Next Page](6-1-acknowledgement) |
| :------- | :----------------------: | ---: |
